/*
 * Internal module API header file.
 *
 * Generated by SIP 6.7.5
 *
 * Copyright (c) 2022 Riverbank Computing Limited <info@riverbankcomputing.com>
 * 
 * This file is part of PyQt6-NetworkAuth.
 * 
 * This file may be used under the terms of the GNU General Public License
 * version 3.0 as published by the Free Software Foundation and appearing in
 * the file LICENSE included in the packaging of this file.  Please review the
 * following information to ensure the GNU General Public License version 3.0
 * requirements will be met: http://www.gnu.org/copyleft/gpl.html.
 * 
 * If you do not wish to use this file under the terms of the GPL version 3.0
 * then you may purchase a commercial license.  For more information contact
 * info@riverbankcomputing.com.
 * 
 * This file is provided AS IS with NO WARRANTY OF ANY KIND, INCLUDING THE
 * WARRANTY OF DESIGN, MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE.
 */

#ifndef _QtNetworkAuthAPI_H
#define _QtNetworkAuthAPI_H

#if !defined(Py_LIMITED_API)
#define Py_LIMITED_API
#endif

#include "sip.h"

#include <QMetaType>
#include <QThread>

/* These are the qualifiers that are enabled. */
#define SIP_TIMELINE_QtNetworkAuth_6_4_0
#define SIP_FEATURE_PyQt_DTLS
#define SIP_FEATURE_PyQt_WebChannel
#define SIP_FEATURE_PyQt_Process
#define SIP_FEATURE_PyQt_OpenGL_ES2
#define SIP_FEATURE_PyQt_OpenGL
#define SIP_FEATURE_PyQt_RawFont
#define SIP_FEATURE_PyQt_PrintPreviewDialog
#define SIP_FEATURE_PyQt_PrintPreviewWidget
#define SIP_FEATURE_PyQt_Printer
#define SIP_FEATURE_PyQt_PrintDialog
#define SIP_FEATURE_PyQt_qreal_double
#define SIP_FEATURE_PyQt_SSL
#define SIP_FEATURE_PyQt_SessionManager
#define SIP_FEATURE_PyQt_Accessibility
#define SIP_PLATFORM_Linux
#define SIP_TIMELINE_Qt_6_4_0


/*
 * Convenient names to refer to various strings defined in this module.
 * Only the class names are part of the public API.
 */
#define sipNameNr_QOAuth1Signature__HttpRequestMethod 0
#define sipName_QOAuth1Signature__HttpRequestMethod &sipStrings_QtNetworkAuth[0]
#define sipNameNr_clientIdentifierSharedKeyChanged 36
#define sipName_clientIdentifierSharedKeyChanged &sipStrings_QtNetworkAuth[36]
#define sipNameNr_RequestingTemporaryCredentials 69
#define sipName_RequestingTemporaryCredentials &sipStrings_QtNetworkAuth[69]
#define sipNameNr_temporaryCredentialsUrlChanged 100
#define sipName_temporaryCredentialsUrlChanged &sipStrings_QtNetworkAuth[100]
#define sipNameNr_OAuthTokenSecretNotFoundError 131
#define sipName_OAuthTokenSecretNotFoundError &sipStrings_QtNetworkAuth[131]
#define sipNameNr_authorizationCallbackReceived 161
#define sipName_authorizationCallbackReceived &sipStrings_QtNetworkAuth[161]
#define sipNameNr_PYQT_NETWORKAUTH_VERSION_STR 191
#define sipName_PYQT_NETWORKAUTH_VERSION_STR &sipStrings_QtNetworkAuth[191]
#define sipNameNr_QOAuth2AuthorizationCodeFlow 220
#define sipName_QOAuth2AuthorizationCodeFlow &sipStrings_QtNetworkAuth[220]
#define sipNameNr_QOAuthHttpServerReplyHandler 249
#define sipName_QOAuthHttpServerReplyHandler &sipStrings_QtNetworkAuth[249]
#define sipNameNr_TemporaryCredentialsReceived 278
#define sipName_TemporaryCredentialsReceived &sipStrings_QtNetworkAuth[278]
#define sipNameNr_setClientIdentifierSharedKey 307
#define sipName_setClientIdentifierSharedKey &sipStrings_QtNetworkAuth[307]
#define sipNameNr_QAbstractOAuth__ContentType 336
#define sipName_QAbstractOAuth__ContentType &sipStrings_QtNetworkAuth[336]
#define sipNameNr_364 364
#define sipName_364 &sipStrings_QtNetworkAuth[364]
#define sipNameNr_generateAuthorizationHeader 392
#define sipName_generateAuthorizationHeader &sipStrings_QtNetworkAuth[392]
#define sipNameNr_requestTemporaryCredentials 420
#define sipName_requestTemporaryCredentials &sipStrings_QtNetworkAuth[420]
#define sipNameNr_setModifyParametersFunction 448
#define sipName_setModifyParametersFunction &sipStrings_QtNetworkAuth[448]
#define sipNameNr_QAbstractOAuthReplyHandler 476
#define sipName_QAbstractOAuthReplyHandler &sipStrings_QtNetworkAuth[476]
#define sipNameNr_resourceOwnerAuthorization 503
#define sipName_resourceOwnerAuthorization &sipStrings_QtNetworkAuth[503]
#define sipNameNr_setTemporaryCredentialsUrl 530
#define sipName_setTemporaryCredentialsUrl &sipStrings_QtNetworkAuth[530]
#define sipNameNr_557 557
#define sipName_557 &sipStrings_QtNetworkAuth[557]
#define sipNameNr_tokenCredentialsUrlChanged 584
#define sipName_tokenCredentialsUrlChanged &sipStrings_QtNetworkAuth[584]
#define sipNameNr_clientIdentifierSharedKey 611
#define sipName_clientIdentifierSharedKey &sipStrings_QtNetworkAuth[611]
#define sipNameNr_clientSharedSecretChanged 637
#define sipName_clientSharedSecretChanged &sipStrings_QtNetworkAuth[637]
#define sipNameNr_continueGrantWithVerifier 663
#define sipName_continueGrantWithVerifier &sipStrings_QtNetworkAuth[663]
#define sipNameNr_OAuthCallbackNotVerified 689
#define sipName_OAuthCallbackNotVerified &sipStrings_QtNetworkAuth[689]
#define sipNameNr_PYQT_NETWORKAUTH_VERSION 714
#define sipName_PYQT_NETWORKAUTH_VERSION &sipStrings_QtNetworkAuth[714]
#define sipNameNr_QOAuth1__SignatureMethod 739
#define sipName_QOAuth1__SignatureMethod &sipStrings_QtNetworkAuth[739]
#define sipNameNr_modifyParametersFunction 764
#define sipName_modifyParametersFunction &sipStrings_QtNetworkAuth[764]
#define sipNameNr_OAuthTokenNotFoundError 789
#define sipName_OAuthTokenNotFoundError &sipStrings_QtNetworkAuth[789]
#define sipNameNr_PyQt6_sip_simplewrapper 813
#define sipName_PyQt6_sip_simplewrapper &sipStrings_QtNetworkAuth[813]
#define sipNameNr_RequestingAuthorization 837
#define sipName_RequestingAuthorization &sipStrings_QtNetworkAuth[837]
#define sipNameNr_authorizationUrlChanged 861
#define sipName_authorizationUrlChanged &sipStrings_QtNetworkAuth[861]
#define sipNameNr_clientIdentifierChanged 885
#define sipName_clientIdentifierChanged &sipStrings_QtNetworkAuth[885]
#define sipNameNr_requestTokenCredentials 909
#define sipName_requestTokenCredentials &sipStrings_QtNetworkAuth[909]
#define sipNameNr_setNetworkAccessManager 933
#define sipName_setNetworkAccessManager &sipStrings_QtNetworkAuth[933]
#define sipNameNr_temporaryCredentialsUrl 957
#define sipName_temporaryCredentialsUrl &sipStrings_QtNetworkAuth[957]
#define sipNameNr_QAbstractOAuth__Status 981
#define sipName_QAbstractOAuth__Status &sipStrings_QtNetworkAuth[981]
#define sipNameNr_createAuthenticatedUrl 1004
#define sipName_createAuthenticatedUrl &sipStrings_QtNetworkAuth[1004]
#define sipNameNr_setTokenCredentialsUrl 1027
#define sipName_setTokenCredentialsUrl &sipStrings_QtNetworkAuth[1027]
#define sipNameNr_signatureMethodChanged 1050
#define sipName_signatureMethodChanged &sipStrings_QtNetworkAuth[1050]
#define sipNameNr_QAbstractOAuth__Error 1073
#define sipName_QAbstractOAuth__Error &sipStrings_QtNetworkAuth[1073]
#define sipNameNr_QAbstractOAuth__Stage 1095
#define sipName_QAbstractOAuth__Stage &sipStrings_QtNetworkAuth[1095]
#define sipNameNr_QOAuthOobReplyHandler 1117
#define sipName_QOAuthOobReplyHandler &sipStrings_QtNetworkAuth[1117]
#define sipNameNr_RefreshingAccessToken 1139
#define sipName_RefreshingAccessToken &sipStrings_QtNetworkAuth[1139]
#define sipNameNr_RequestingAccessToken 1161
#define sipName_RequestingAccessToken &sipStrings_QtNetworkAuth[1161]
#define sipNameNr_accessTokenUrlChanged 1183
#define sipName_accessTokenUrlChanged &sipStrings_QtNetworkAuth[1183]
#define sipNameNr_setClientSharedSecret 1205
#define sipName_setClientSharedSecret &sipStrings_QtNetworkAuth[1205]
#define sipNameNr_setCustomMethodString 1227
#define sipName_setCustomMethodString &sipStrings_QtNetworkAuth[1227]
#define sipNameNr_authorizeWithBrowser 1249
#define sipName_authorizeWithBrowser &sipStrings_QtNetworkAuth[1249]
#define sipNameNr_buildAuthenticateUrl 1270
#define sipName_buildAuthenticateUrl &sipStrings_QtNetworkAuth[1270]
#define sipNameNr_callbackDataReceived 1291
#define sipName_callbackDataReceived &sipStrings_QtNetworkAuth[1291]
#define sipNameNr_generateRandomString 1312
#define sipName_generateRandomString &sipStrings_QtNetworkAuth[1312]
#define sipNameNr_networkAccessManager 1333
#define sipName_networkAccessManager &sipStrings_QtNetworkAuth[1333]
#define sipNameNr_networkReplyFinished 1354
#define sipName_networkReplyFinished &sipStrings_QtNetworkAuth[1354]
#define sipNameNr_setClientCredentials 1375
#define sipName_setClientCredentials &sipStrings_QtNetworkAuth[1375]
#define sipNameNr_setHttpRequestMethod 1396
#define sipName_setHttpRequestMethod &sipStrings_QtNetworkAuth[1396]
#define sipNameNr_PyQt6_QtNetworkAuth 1417
#define sipName_PyQt6_QtNetworkAuth &sipStrings_QtNetworkAuth[1417]
#define sipNameNr_expirationAtChanged 1437
#define sipName_expirationAtChanged &sipStrings_QtNetworkAuth[1437]
#define sipNameNr_refreshTokenChanged 1457
#define sipName_refreshTokenChanged &sipStrings_QtNetworkAuth[1457]
#define sipNameNr_responseTypeChanged 1477
#define sipName_responseTypeChanged &sipStrings_QtNetworkAuth[1477]
#define sipNameNr_setAuthorizationUrl 1497
#define sipName_setAuthorizationUrl &sipStrings_QtNetworkAuth[1497]
#define sipNameNr_setClientIdentifier 1517
#define sipName_setClientIdentifier &sipStrings_QtNetworkAuth[1517]
#define sipNameNr_setTokenCredentials 1537
#define sipName_setTokenCredentials &sipStrings_QtNetworkAuth[1537]
#define sipNameNr_tokenCredentialsUrl 1557
#define sipName_tokenCredentialsUrl &sipStrings_QtNetworkAuth[1557]
#define sipNameNr_clientSharedSecret 1577
#define sipName_clientSharedSecret &sipStrings_QtNetworkAuth[1577]
#define sipNameNr_contentTypeChanged 1596
#define sipName_contentTypeChanged &sipStrings_QtNetworkAuth[1596]
#define sipNameNr_customMethodString 1615
#define sipName_customMethodString &sipStrings_QtNetworkAuth[1615]
#define sipNameNr_extraTokensChanged 1634
#define sipName_extraTokensChanged &sipStrings_QtNetworkAuth[1634]
#define sipNameNr_refreshAccessToken 1653
#define sipName_refreshAccessToken &sipStrings_QtNetworkAuth[1653]
#define sipNameNr_requestAccessToken 1672
#define sipName_requestAccessToken &sipStrings_QtNetworkAuth[1672]
#define sipNameNr_setClientSharedKey 1691
#define sipName_setClientSharedKey &sipStrings_QtNetworkAuth[1691]
#define sipNameNr_setSignatureMethod 1710
#define sipName_setSignatureMethod &sipStrings_QtNetworkAuth[1710]
#define sipNameNr_tokenSecretChanged 1729
#define sipName_tokenSecretChanged &sipStrings_QtNetworkAuth[1729]
#define sipNameNr_HttpRequestMethod 18
#define sipName_HttpRequestMethod &sipStrings_QtNetworkAuth[18]
#define sipNameNr_WwwFormUrlEncoded 1748
#define sipName_WwwFormUrlEncoded &sipStrings_QtNetworkAuth[1748]
#define sipNameNr_clientCredentials 1766
#define sipName_clientCredentials &sipStrings_QtNetworkAuth[1766]
#define sipNameNr_httpRequestMethod 1784
#define sipName_httpRequestMethod &sipStrings_QtNetworkAuth[1784]
#define sipNameNr_replyDataReceived 1802
#define sipName_replyDataReceived &sipStrings_QtNetworkAuth[1802]
#define sipNameNr_setAccessTokenUrl 1820
#define sipName_setAccessTokenUrl &sipStrings_QtNetworkAuth[1820]
#define sipNameNr_NotAuthenticated 1838
#define sipName_NotAuthenticated &sipStrings_QtNetworkAuth[1838]
#define sipNameNr_QOAuth1Signature 1855
#define sipName_QOAuth1Signature &sipStrings_QtNetworkAuth[1855]
#define sipNameNr_authorizationUrl 1872
#define sipName_authorizationUrl &sipStrings_QtNetworkAuth[1872]
#define sipNameNr_callbackReceived 1889
#define sipName_callbackReceived &sipStrings_QtNetworkAuth[1889]
#define sipNameNr_clientIdentifier 1906
#define sipName_clientIdentifier &sipStrings_QtNetworkAuth[1906]
#define sipNameNr_disconnectNotify 1923
#define sipName_disconnectNotify &sipStrings_QtNetworkAuth[1923]
#define sipNameNr_tokenCredentials 1940
#define sipName_tokenCredentials &sipStrings_QtNetworkAuth[1940]
#define sipNameNr_userAgentChanged 1957
#define sipName_userAgentChanged &sipStrings_QtNetworkAuth[1957]
#define sipNameNr_QAbstractOAuth2 1974
#define sipName_QAbstractOAuth2 &sipStrings_QtNetworkAuth[1974]
#define sipNameNr_RefreshingToken 1990
#define sipName_RefreshingToken &sipStrings_QtNetworkAuth[1990]
#define sipNameNr_SignatureMethod 748
#define sipName_SignatureMethod &sipStrings_QtNetworkAuth[748]
#define sipNameNr_clientSharedKey 2006
#define sipName_clientSharedKey &sipStrings_QtNetworkAuth[2006]
#define sipNameNr_setCallbackPath 2022
#define sipName_setCallbackPath &sipStrings_QtNetworkAuth[2022]
#define sipNameNr_setCallbackText 2038
#define sipName_setCallbackText &sipStrings_QtNetworkAuth[2038]
#define sipNameNr_setRefreshToken 2054
#define sipName_setRefreshToken &sipStrings_QtNetworkAuth[2054]
#define sipNameNr_setReplyHandler 2070
#define sipName_setReplyHandler &sipStrings_QtNetworkAuth[2070]
#define sipNameNr_setResponseType 2086
#define sipName_setResponseType &sipStrings_QtNetworkAuth[2086]
#define sipNameNr_signatureMethod 2102
#define sipName_signatureMethod &sipStrings_QtNetworkAuth[2102]
#define sipNameNr_QAbstractOAuth 2118
#define sipName_QAbstractOAuth &sipStrings_QtNetworkAuth[2118]
#define sipNameNr_accessTokenUrl 2133
#define sipName_accessTokenUrl &sipStrings_QtNetworkAuth[2133]
#define sipNameNr_addRequestBody 2148
#define sipName_addRequestBody &sipStrings_QtNetworkAuth[2148]
#define sipNameNr_deleteResource 2163
#define sipName_deleteResource &sipStrings_QtNetworkAuth[2163]
#define sipNameNr_prepareRequest 2178
#define sipName_prepareRequest &sipStrings_QtNetworkAuth[2178]
#define sipNameNr_setContentType 2193
#define sipName_setContentType &sipStrings_QtNetworkAuth[2193]
#define sipNameNr_setTokenSecret 2208
#define sipName_setTokenSecret &sipStrings_QtNetworkAuth[2208]
#define sipNameNr_tokensReceived 2223
#define sipName_tokensReceived &sipStrings_QtNetworkAuth[2223]
#define sipNameNr_connectNotify 1926
#define sipName_connectNotify &sipStrings_QtNetworkAuth[1926]
#define sipNameNr_requestFailed 2238
#define sipName_requestFailed &sipStrings_QtNetworkAuth[2238]
#define sipNameNr_setParameters 2252
#define sipName_setParameters &sipStrings_QtNetworkAuth[2252]
#define sipNameNr_statusChanged 2266
#define sipName_statusChanged &sipStrings_QtNetworkAuth[2266]
#define sipNameNr_NetworkError 2280
#define sipName_NetworkError &sipStrings_QtNetworkAuth[2280]
#define sipNameNr_callbackPath 2293
#define sipName_callbackPath &sipStrings_QtNetworkAuth[2293]
#define sipNameNr_callbackText 2306
#define sipName_callbackText &sipStrings_QtNetworkAuth[2306]
#define sipNameNr_defaultValue 2319
#define sipName_defaultValue &sipStrings_QtNetworkAuth[2319]
#define sipNameNr_expirationAt 2332
#define sipName_expirationAt &sipStrings_QtNetworkAuth[2332]
#define sipNameNr_refreshToken 2345
#define sipName_refreshToken &sipStrings_QtNetworkAuth[2345]
#define sipNameNr_replyHandler 2358
#define sipName_replyHandler &sipStrings_QtNetworkAuth[2358]
#define sipNameNr_responseType 2371
#define sipName_responseType &sipStrings_QtNetworkAuth[2371]
#define sipNameNr_scopeChanged 2384
#define sipName_scopeChanged &sipStrings_QtNetworkAuth[2384]
#define sipNameNr_setUserAgent 2397
#define sipName_setUserAgent &sipStrings_QtNetworkAuth[2397]
#define sipNameNr_stateChanged 2410
#define sipName_stateChanged &sipStrings_QtNetworkAuth[2410]
#define sipNameNr_tokenChanged 2423
#define sipName_tokenChanged &sipStrings_QtNetworkAuth[2423]
#define sipNameNr_ContentType 352
#define sipName_ContentType &sipStrings_QtNetworkAuth[352]
#define sipNameNr_ServerError 2436
#define sipName_ServerError &sipStrings_QtNetworkAuth[2436]
#define sipNameNr_contentType 2448
#define sipName_contentType &sipStrings_QtNetworkAuth[2448]
#define sipNameNr_customEvent 2460
#define sipName_customEvent &sipStrings_QtNetworkAuth[2460]
#define sipNameNr_eventFilter 2472
#define sipName_eventFilter &sipStrings_QtNetworkAuth[2472]
#define sipNameNr_extraTokens 2484
#define sipName_extraTokens &sipStrings_QtNetworkAuth[2484]
#define sipNameNr_isListening 2496
#define sipName_isListening &sipStrings_QtNetworkAuth[2496]
#define sipNameNr_tokenSecret 2508
#define sipName_tokenSecret &sipStrings_QtNetworkAuth[2508]
#define sipNameNr_childEvent 2520
#define sipName_childEvent &sipStrings_QtNetworkAuth[2520]
#define sipNameNr_parameters 2531
#define sipName_parameters &sipStrings_QtNetworkAuth[2531]
#define sipNameNr_timerEvent 2542
#define sipName_timerEvent &sipStrings_QtNetworkAuth[2542]
#define sipNameNr_Hmac_Sha1 2553
#define sipName_Hmac_Sha1 &sipStrings_QtNetworkAuth[2553]
#define sipNameNr_PlainText 2563
#define sipName_PlainText &sipStrings_QtNetworkAuth[2563]
#define sipNameNr_plainText 2573
#define sipName_plainText &sipStrings_QtNetworkAuth[2573]
#define sipNameNr_setStatus 2583
#define sipName_setStatus &sipStrings_QtNetworkAuth[2583]
#define sipNameNr_userAgent 2593
#define sipName_userAgent &sipStrings_QtNetworkAuth[2593]
#define sipNameNr_Rsa_Sha1 2603
#define sipName_Rsa_Sha1 &sipStrings_QtNetworkAuth[2603]
#define sipNameNr_callback 2612
#define sipName_callback &sipStrings_QtNetworkAuth[2612]
#define sipNameNr_finished 2621
#define sipName_finished &sipStrings_QtNetworkAuth[2621]
#define sipNameNr_hmacSha1 2630
#define sipName_hmacSha1 &sipStrings_QtNetworkAuth[2630]
#define sipNameNr_setScope 2639
#define sipName_setScope &sipStrings_QtNetworkAuth[2639]
#define sipNameNr_setState 2648
#define sipName_setState &sipStrings_QtNetworkAuth[2648]
#define sipNameNr_setToken 2657
#define sipName_setToken &sipStrings_QtNetworkAuth[2657]
#define sipNameNr_Granted 2666
#define sipName_Granted &sipStrings_QtNetworkAuth[2666]
#define sipNameNr_NoError 2674
#define sipName_NoError &sipStrings_QtNetworkAuth[2674]
#define sipNameNr_QOAuth1 2682
#define sipName_QOAuth1 &sipStrings_QtNetworkAuth[2682]
#define sipNameNr_Unknown 2690
#define sipName_Unknown &sipStrings_QtNetworkAuth[2690]
#define sipNameNr_address 2698
#define sipName_address &sipStrings_QtNetworkAuth[2698]
#define sipNameNr_granted 2706
#define sipName_granted &sipStrings_QtNetworkAuth[2706]
#define sipNameNr_rsaSha1 2714
#define sipName_rsaSha1 &sipStrings_QtNetworkAuth[2714]
#define sipNameNr_Custom 2722
#define sipName_Custom &sipStrings_QtNetworkAuth[2722]
#define sipNameNr_Delete 2729
#define sipName_Delete &sipStrings_QtNetworkAuth[2729]
#define sipNameNr_Status 997
#define sipName_Status &sipStrings_QtNetworkAuth[997]
#define sipNameNr_insert 2736
#define sipName_insert &sipStrings_QtNetworkAuth[2736]
#define sipNameNr_listen 2743
#define sipName_listen &sipStrings_QtNetworkAuth[2743]
#define sipNameNr_method 2750
#define sipName_method &sipStrings_QtNetworkAuth[2750]
#define sipNameNr_parent 2757
#define sipName_parent &sipStrings_QtNetworkAuth[2757]
#define sipNameNr_setUrl 2764
#define sipName_setUrl &sipStrings_QtNetworkAuth[2764]
#define sipNameNr_status 2771
#define sipName_status &sipStrings_QtNetworkAuth[2771]
#define sipNameNr_Error 155
#define sipName_Error &sipStrings_QtNetworkAuth[155]
#define sipNameNr_Stage 1111
#define sipName_Stage &sipStrings_QtNetworkAuth[1111]
#define sipNameNr_close 2778
#define sipName_close &sipStrings_QtNetworkAuth[2778]
#define sipNameNr_error 2784
#define sipName_error &sipStrings_QtNetworkAuth[2784]
#define sipNameNr_event 2790
#define sipName_event &sipStrings_QtNetworkAuth[2790]
#define sipNameNr_grant 2796
#define sipName_grant &sipStrings_QtNetworkAuth[2796]
#define sipNameNr_nonce 2802
#define sipName_nonce &sipStrings_QtNetworkAuth[2802]
#define sipNameNr_scope 2808
#define sipName_scope &sipStrings_QtNetworkAuth[2808]
#define sipNameNr_setup 2814
#define sipName_setup &sipStrings_QtNetworkAuth[2814]
#define sipNameNr_state 2820
#define sipName_state &sipStrings_QtNetworkAuth[2820]
#define sipNameNr_token 2826
#define sipName_token &sipStrings_QtNetworkAuth[2826]
#define sipNameNr_value 2832
#define sipName_value &sipStrings_QtNetworkAuth[2832]
#define sipNameNr_Head 2838
#define sipName_Head &sipStrings_QtNetworkAuth[2838]
#define sipNameNr_Json 2843
#define sipName_Json &sipStrings_QtNetworkAuth[2843]
#define sipNameNr_Post 2848
#define sipName_Post &sipStrings_QtNetworkAuth[2848]
#define sipNameNr_body 2853
#define sipName_body &sipStrings_QtNetworkAuth[2853]
#define sipNameNr_head 2858
#define sipName_head &sipStrings_QtNetworkAuth[2858]
#define sipNameNr_keys 2863
#define sipName_keys &sipStrings_QtNetworkAuth[2863]
#define sipNameNr_port 2868
#define sipName_port &sipStrings_QtNetworkAuth[2868]
#define sipNameNr_post 2873
#define sipName_post &sipStrings_QtNetworkAuth[2873]
#define sipNameNr_swap 2878
#define sipName_swap &sipStrings_QtNetworkAuth[2878]
#define sipNameNr_take 2883
#define sipName_take &sipStrings_QtNetworkAuth[2883]
#define sipNameNr_Get 2888
#define sipName_Get &sipStrings_QtNetworkAuth[2888]
#define sipNameNr_Put 2892
#define sipName_Put &sipStrings_QtNetworkAuth[2892]
#define sipNameNr_get 2896
#define sipName_get &sipStrings_QtNetworkAuth[2896]
#define sipNameNr_put 2900
#define sipName_put &sipStrings_QtNetworkAuth[2900]
#define sipNameNr_url 2904
#define sipName_url &sipStrings_QtNetworkAuth[2904]

#define sipMalloc                   sipAPI_QtNetworkAuth->api_malloc
#define sipFree                     sipAPI_QtNetworkAuth->api_free
#define sipBuildResult              sipAPI_QtNetworkAuth->api_build_result
#define sipCallMethod               sipAPI_QtNetworkAuth->api_call_method
#define sipCallProcedureMethod      sipAPI_QtNetworkAuth->api_call_procedure_method
#define sipCallErrorHandler         sipAPI_QtNetworkAuth->api_call_error_handler
#define sipParseResultEx            sipAPI_QtNetworkAuth->api_parse_result_ex
#define sipParseResult              sipAPI_QtNetworkAuth->api_parse_result
#define sipParseArgs                sipAPI_QtNetworkAuth->api_parse_args
#define sipParseKwdArgs             sipAPI_QtNetworkAuth->api_parse_kwd_args
#define sipParsePair                sipAPI_QtNetworkAuth->api_parse_pair
#define sipInstanceDestroyed        sipAPI_QtNetworkAuth->api_instance_destroyed
#define sipInstanceDestroyedEx      sipAPI_QtNetworkAuth->api_instance_destroyed_ex
#define sipConvertFromSequenceIndex sipAPI_QtNetworkAuth->api_convert_from_sequence_index
#define sipConvertFromSliceObject   sipAPI_QtNetworkAuth->api_convert_from_slice_object
#define sipConvertFromVoidPtr       sipAPI_QtNetworkAuth->api_convert_from_void_ptr
#define sipConvertToVoidPtr         sipAPI_QtNetworkAuth->api_convert_to_void_ptr
#define sipAddException             sipAPI_QtNetworkAuth->api_add_exception
#define sipNoFunction               sipAPI_QtNetworkAuth->api_no_function
#define sipNoMethod                 sipAPI_QtNetworkAuth->api_no_method
#define sipAbstractMethod           sipAPI_QtNetworkAuth->api_abstract_method
#define sipBadClass                 sipAPI_QtNetworkAuth->api_bad_class
#define sipBadCatcherResult         sipAPI_QtNetworkAuth->api_bad_catcher_result
#define sipBadCallableArg           sipAPI_QtNetworkAuth->api_bad_callable_arg
#define sipBadOperatorArg           sipAPI_QtNetworkAuth->api_bad_operator_arg
#define sipTrace                    sipAPI_QtNetworkAuth->api_trace
#define sipTransferBack             sipAPI_QtNetworkAuth->api_transfer_back
#define sipTransferTo               sipAPI_QtNetworkAuth->api_transfer_to
#define sipSimpleWrapper_Type       sipAPI_QtNetworkAuth->api_simplewrapper_type
#define sipWrapper_Type             sipAPI_QtNetworkAuth->api_wrapper_type
#define sipWrapperType_Type         sipAPI_QtNetworkAuth->api_wrappertype_type
#define sipVoidPtr_Type             sipAPI_QtNetworkAuth->api_voidptr_type
#define sipGetPyObject              sipAPI_QtNetworkAuth->api_get_pyobject
#define sipGetAddress               sipAPI_QtNetworkAuth->api_get_address
#define sipGetMixinAddress          sipAPI_QtNetworkAuth->api_get_mixin_address
#define sipGetCppPtr                sipAPI_QtNetworkAuth->api_get_cpp_ptr
#define sipGetComplexCppPtr         sipAPI_QtNetworkAuth->api_get_complex_cpp_ptr
#define sipCallHook                 sipAPI_QtNetworkAuth->api_call_hook
#define sipEndThread                sipAPI_QtNetworkAuth->api_end_thread
#define sipRaiseUnknownException    sipAPI_QtNetworkAuth->api_raise_unknown_exception
#define sipRaiseTypeException       sipAPI_QtNetworkAuth->api_raise_type_exception
#define sipBadLengthForSlice        sipAPI_QtNetworkAuth->api_bad_length_for_slice
#define sipAddTypeInstance          sipAPI_QtNetworkAuth->api_add_type_instance
#define sipPySlotExtend             sipAPI_QtNetworkAuth->api_pyslot_extend
#define sipAddDelayedDtor           sipAPI_QtNetworkAuth->api_add_delayed_dtor
#define sipCanConvertToType         sipAPI_QtNetworkAuth->api_can_convert_to_type
#define sipConvertToType            sipAPI_QtNetworkAuth->api_convert_to_type
#define sipForceConvertToType       sipAPI_QtNetworkAuth->api_force_convert_to_type
#define sipConvertToEnum            sipAPI_QtNetworkAuth->api_convert_to_enum
#define sipConvertToBool            sipAPI_QtNetworkAuth->api_convert_to_bool
#define sipReleaseType              sipAPI_QtNetworkAuth->api_release_type
#define sipConvertFromType          sipAPI_QtNetworkAuth->api_convert_from_type
#define sipConvertFromNewType       sipAPI_QtNetworkAuth->api_convert_from_new_type
#define sipConvertFromNewPyType     sipAPI_QtNetworkAuth->api_convert_from_new_pytype
#define sipConvertFromEnum          sipAPI_QtNetworkAuth->api_convert_from_enum
#define sipGetState                 sipAPI_QtNetworkAuth->api_get_state
#define sipExportSymbol             sipAPI_QtNetworkAuth->api_export_symbol
#define sipImportSymbol             sipAPI_QtNetworkAuth->api_import_symbol
#define sipFindType                 sipAPI_QtNetworkAuth->api_find_type
#define sipBytes_AsChar             sipAPI_QtNetworkAuth->api_bytes_as_char
#define sipBytes_AsString           sipAPI_QtNetworkAuth->api_bytes_as_string
#define sipString_AsASCIIChar       sipAPI_QtNetworkAuth->api_string_as_ascii_char
#define sipString_AsASCIIString     sipAPI_QtNetworkAuth->api_string_as_ascii_string
#define sipString_AsLatin1Char      sipAPI_QtNetworkAuth->api_string_as_latin1_char
#define sipString_AsLatin1String    sipAPI_QtNetworkAuth->api_string_as_latin1_string
#define sipString_AsUTF8Char        sipAPI_QtNetworkAuth->api_string_as_utf8_char
#define sipString_AsUTF8String      sipAPI_QtNetworkAuth->api_string_as_utf8_string
#define sipUnicode_AsWChar          sipAPI_QtNetworkAuth->api_unicode_as_wchar
#define sipUnicode_AsWString        sipAPI_QtNetworkAuth->api_unicode_as_wstring
#define sipConvertFromConstVoidPtr  sipAPI_QtNetworkAuth->api_convert_from_const_void_ptr
#define sipConvertFromVoidPtrAndSize    sipAPI_QtNetworkAuth->api_convert_from_void_ptr_and_size
#define sipConvertFromConstVoidPtrAndSize   sipAPI_QtNetworkAuth->api_convert_from_const_void_ptr_and_size
#define sipWrappedTypeName(wt)      ((wt)->wt_td->td_cname)
#define sipDeprecated               sipAPI_QtNetworkAuth->api_deprecated
#define sipGetReference             sipAPI_QtNetworkAuth->api_get_reference
#define sipKeepReference            sipAPI_QtNetworkAuth->api_keep_reference
#define sipRegisterProxyResolver    sipAPI_QtNetworkAuth->api_register_proxy_resolver
#define sipRegisterPyType           sipAPI_QtNetworkAuth->api_register_py_type
#define sipTypeFromPyTypeObject     sipAPI_QtNetworkAuth->api_type_from_py_type_object
#define sipTypeScope                sipAPI_QtNetworkAuth->api_type_scope
#define sipResolveTypedef           sipAPI_QtNetworkAuth->api_resolve_typedef
#define sipRegisterAttributeGetter  sipAPI_QtNetworkAuth->api_register_attribute_getter
#define sipEnableAutoconversion     sipAPI_QtNetworkAuth->api_enable_autoconversion
#define sipInitMixin                sipAPI_QtNetworkAuth->api_init_mixin
#define sipExportModule             sipAPI_QtNetworkAuth->api_export_module
#define sipInitModule               sipAPI_QtNetworkAuth->api_init_module
#define sipGetInterpreter           sipAPI_QtNetworkAuth->api_get_interpreter
#define sipSetTypeUserData          sipAPI_QtNetworkAuth->api_set_type_user_data
#define sipGetTypeUserData          sipAPI_QtNetworkAuth->api_get_type_user_data
#define sipPyTypeDict               sipAPI_QtNetworkAuth->api_py_type_dict
#define sipPyTypeName               sipAPI_QtNetworkAuth->api_py_type_name
#define sipGetCFunction             sipAPI_QtNetworkAuth->api_get_c_function
#define sipGetMethod                sipAPI_QtNetworkAuth->api_get_method
#define sipFromMethod               sipAPI_QtNetworkAuth->api_from_method
#define sipGetDate                  sipAPI_QtNetworkAuth->api_get_date
#define sipFromDate                 sipAPI_QtNetworkAuth->api_from_date
#define sipGetDateTime              sipAPI_QtNetworkAuth->api_get_datetime
#define sipFromDateTime             sipAPI_QtNetworkAuth->api_from_datetime
#define sipGetTime                  sipAPI_QtNetworkAuth->api_get_time
#define sipFromTime                 sipAPI_QtNetworkAuth->api_from_time
#define sipIsUserType               sipAPI_QtNetworkAuth->api_is_user_type
#define sipCheckPluginForType       sipAPI_QtNetworkAuth->api_check_plugin_for_type
#define sipUnicodeNew               sipAPI_QtNetworkAuth->api_unicode_new
#define sipUnicodeWrite             sipAPI_QtNetworkAuth->api_unicode_write
#define sipUnicodeData              sipAPI_QtNetworkAuth->api_unicode_data
#define sipGetBufferInfo            sipAPI_QtNetworkAuth->api_get_buffer_info
#define sipReleaseBufferInfo        sipAPI_QtNetworkAuth->api_release_buffer_info
#define sipIsOwnedByPython          sipAPI_QtNetworkAuth->api_is_owned_by_python
#define sipIsDerivedClass           sipAPI_QtNetworkAuth->api_is_derived_class
#define sipGetUserObject            sipAPI_QtNetworkAuth->api_get_user_object
#define sipSetUserObject            sipAPI_QtNetworkAuth->api_set_user_object
#define sipRegisterEventHandler     sipAPI_QtNetworkAuth->api_register_event_handler
#define sipConvertToArray           sipAPI_QtNetworkAuth->api_convert_to_array
#define sipConvertToTypedArray      sipAPI_QtNetworkAuth->api_convert_to_typed_array
#define sipEnableGC                 sipAPI_QtNetworkAuth->api_enable_gc
#define sipPrintObject              sipAPI_QtNetworkAuth->api_print_object
#define sipLong_AsChar              sipAPI_QtNetworkAuth->api_long_as_char
#define sipLong_AsSignedChar        sipAPI_QtNetworkAuth->api_long_as_signed_char
#define sipLong_AsUnsignedChar      sipAPI_QtNetworkAuth->api_long_as_unsigned_char
#define sipLong_AsShort             sipAPI_QtNetworkAuth->api_long_as_short
#define sipLong_AsUnsignedShort     sipAPI_QtNetworkAuth->api_long_as_unsigned_short
#define sipLong_AsInt               sipAPI_QtNetworkAuth->api_long_as_int
#define sipLong_AsUnsignedInt       sipAPI_QtNetworkAuth->api_long_as_unsigned_int
#define sipLong_AsLong              sipAPI_QtNetworkAuth->api_long_as_long
#define sipLong_AsUnsignedLong      sipAPI_QtNetworkAuth->api_long_as_unsigned_long
#define sipLong_AsLongLong          sipAPI_QtNetworkAuth->api_long_as_long_long
#define sipLong_AsUnsignedLongLong  sipAPI_QtNetworkAuth->api_long_as_unsigned_long_long
#define sipLong_AsSizeT             sipAPI_QtNetworkAuth->api_long_as_size_t
#define sipVisitWrappers            sipAPI_QtNetworkAuth->api_visit_wrappers
#define sipRegisterExitNotifier     sipAPI_QtNetworkAuth->api_register_exit_notifier
#define sipNextExceptionHandler     sipAPI_QtNetworkAuth->api_next_exception_handler
#define sipIsEnumFlag               sipAPI_QtNetworkAuth->api_is_enum_flag
#define sipConvertToTypeUS          sipAPI_QtNetworkAuth->api_convert_to_type_us
#define sipForceConvertToTypeUS     sipAPI_QtNetworkAuth->api_force_convert_to_type_us
#define sipReleaseTypeUS            sipAPI_QtNetworkAuth->api_release_type_us
#define sipIsPyMethod               sipAPI_QtNetworkAuth->api_is_py_method_12_8

/* The strings used by this module. */
extern const char sipStrings_QtNetworkAuth[];

#define sipType_QAbstractOAuth sipExportedTypes_QtNetworkAuth[0]

#define sipType_QAbstractOAuth_ContentType sipExportedTypes_QtNetworkAuth[2]

#define sipType_QAbstractOAuth_Error sipExportedTypes_QtNetworkAuth[3]

#define sipType_QAbstractOAuth_Stage sipExportedTypes_QtNetworkAuth[4]

#define sipType_QAbstractOAuth_Status sipExportedTypes_QtNetworkAuth[5]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuth;

#define sipType_QAbstractOAuth2 sipExportedTypes_QtNetworkAuth[1]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuth2;

#define sipType_QAbstractOAuthReplyHandler sipExportedTypes_QtNetworkAuth[6]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QAbstractOAuthReplyHandler;

#define sipType_QOAuth1 sipExportedTypes_QtNetworkAuth[8]

#define sipType_QOAuth1_SignatureMethod sipExportedTypes_QtNetworkAuth[9]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth1;

#define sipType_QOAuth1Signature sipExportedTypes_QtNetworkAuth[10]

#define sipType_QOAuth1Signature_HttpRequestMethod sipExportedTypes_QtNetworkAuth[11]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth1Signature;

#define sipType_QOAuth2AuthorizationCodeFlow sipExportedTypes_QtNetworkAuth[12]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuth2AuthorizationCodeFlow;

#define sipType_QOAuthOobReplyHandler sipExportedTypes_QtNetworkAuth[14]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuthOobReplyHandler;

#define sipType_QOAuthHttpServerReplyHandler sipExportedTypes_QtNetworkAuth[13]

extern sipClassTypeDef sipTypeDef_QtNetworkAuth_QOAuthHttpServerReplyHandler;

#define sipType_std_pair_0100QString_0100QString sipExportedTypes_QtNetworkAuth[15]

extern sipMappedTypeDef sipTypeDef_QtNetworkAuth_std_pair_0100QString_0100QString;

#define sipType_QMultiMap_0100QString_0100QVariant sipExportedTypes_QtNetworkAuth[7]

extern sipMappedTypeDef sipTypeDef_QtNetworkAuth_QMultiMap_0100QString_0100QVariant;

/* The SIP API, this module's API and the APIs of any imported modules. */
extern const sipAPIDef *sipAPI_QtNetworkAuth;
extern sipExportedModuleDef sipModuleAPI_QtNetworkAuth;
extern sipTypeDef *sipExportedTypes_QtNetworkAuth[];

#define sipType_QObject sipImportedTypes_QtNetworkAuth_QtCore[6].it_td

#define sipType_QByteArray sipImportedTypes_QtNetworkAuth_QtCore[0].it_td

#define sipType_QEvent sipImportedTypes_QtNetworkAuth_QtCore[3].it_td

#define sipType_QTimerEvent sipImportedTypes_QtNetworkAuth_QtCore[8].it_td

#define sipType_QChildEvent sipImportedTypes_QtNetworkAuth_QtCore[1].it_td

#define sipType_QDateTime sipImportedTypes_QtNetworkAuth_QtCore[2].it_td

#define sipType_QMetaMethod sipImportedTypes_QtNetworkAuth_QtCore[5].it_td

#define sipType_QUrl sipImportedTypes_QtNetworkAuth_QtCore[9].it_td

#define sipType_QUrlQuery sipImportedTypes_QtNetworkAuth_QtCore[10].it_td

#define sipType_QVariant sipImportedTypes_QtNetworkAuth_QtCore[11].it_td

#define sipType_QMap_0100QString_0100QVariant sipImportedTypes_QtNetworkAuth_QtCore[4].it_td

#define sipType_QString sipImportedTypes_QtNetworkAuth_QtCore[7].it_td
extern sipImportedTypeDef sipImportedTypes_QtNetworkAuth_QtCore[];
extern sipImportedVirtErrorHandlerDef sipImportedVirtErrorHandlers_QtNetworkAuth_QtCore[];

#define sipType_QHostAddress sipImportedTypes_QtNetworkAuth_QtNetwork[0].it_td

#define sipType_QHttpMultiPart sipImportedTypes_QtNetworkAuth_QtNetwork[1].it_td

#define sipType_QNetworkAccessManager sipImportedTypes_QtNetworkAuth_QtNetwork[3].it_td

#define sipType_QNetworkAccessManager_Operation sipImportedTypes_QtNetworkAuth_QtNetwork[4].it_td

#define sipType_QNetworkReply sipImportedTypes_QtNetworkAuth_QtNetwork[5].it_td

#define sipType_QNetworkRequest sipImportedTypes_QtNetworkAuth_QtNetwork[6].it_td

#define sipType_QList_0100QString sipImportedTypes_QtNetworkAuth_QtNetwork[2].it_td
extern sipImportedTypeDef sipImportedTypes_QtNetworkAuth_QtNetwork[];

typedef const QMetaObject *(*sip_qt_metaobject_func)(sipSimpleWrapper *,sipTypeDef *);
extern sip_qt_metaobject_func sip_QtNetworkAuth_qt_metaobject;

typedef int (*sip_qt_metacall_func)(sipSimpleWrapper *,sipTypeDef *,QMetaObject::Call,int,void **);
extern sip_qt_metacall_func sip_QtNetworkAuth_qt_metacall;

typedef bool (*sip_qt_metacast_func)(sipSimpleWrapper *, const sipTypeDef *, const char *, void **);
extern sip_qt_metacast_func sip_QtNetworkAuth_qt_metacast;
#line 230 "/home/iurt/rpmbuild/BUILD/PyQt6_NetworkAuth-6.4.0/sip/QtNetworkAuth/qabstractoauth.sip"
// Imports from QtCore.
typedef void (*pyqt6_qtnetworkauth_err_print_t)();
extern pyqt6_qtnetworkauth_err_print_t pyqt6_qtnetworkauth_err_print;
#line 686 "/home/iurt/rpmbuild/BUILD/PyQt6_NetworkAuth-6.4.0/build/QtNetworkAuth/sipAPIQtNetworkAuth.h"

#endif
